#
# To build against different kernel use: --define "kernel_version VERSION-RELEASE"
#

Name: apqi
License: GPL v2
Summary: Alternative Process Querying Interface LKM and tools
Version: 1.0.2
Release: 1%{?dist}
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-%{version}.tgz
Source1: %{name}-depmod.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Group: System/Security
Requires: %{name}-kmod
Provides: %{name}-kmod-common = %{?epoch:%{epoch}:}%{version}
BuildArch: i686 x86_64


Source1111: slc-kmodtool
BuildRequires: %kernel_module_package_buildreqs

%define upvar default
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 ia64 x86_64
%define xenvar xen
%endif

%kernel_module_package -s %{SOURCE1111} %{?upvar} %{?xenvar} %{?paevar}

%description
Alternative Process Querying Interface LKM and tools

%prep
%setup 
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build

for flavor in %{flavors_to_build} ; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
   make -C %{kernel_source $flavor} modules_install \
           M=$PWD/obj/$flavor
done

install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf
install -d $RPM_BUILD_ROOT/etc/cron.daily
install -m0700 source/crk.cron $RPM_BUILD_ROOT/etc/cron.daily/crk.cron
install -d $RPM_BUILD_ROOT/sbin
install -m0700 source/crk-cron $RPM_BUILD_ROOT/sbin/crk-cron

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/etc/cron.daily/crk.cron
/sbin/crk-cron
%config(noreplace) %{_sysconfdir}/depmod.d/%{name}.conf
%doc source/README

%changelog
* Thu Oct 7 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.0.2-1
- packaging changes with the magic to build kmods
* Thu Aug 5 2010 Romain Wartel <Romain.Wartel@cern.ch> 1.0.1-1
- Do not systematically load/unload the LKM
* Wed Apr 7 2010 Romain Wartel <Romain.Wartel@cern.ch> 1.0.0-1
- Initial version
